// Author: 5294
#include <iostream>
#include "VigenereCipher.h"
using namespace std;

int main(int argc, char** argv) {
	if (argc != 3) {
		cerr << "Incorrect Usage" << endl;
		cerr << "Usage: encrypt <plain text file> <keyword>" << endl;
		exit(1);
	}

	string filename = argv[1];
	ifstream in = openInFile(filename);

	string base = filename.substr(0,filename.find("."));
	string keyword = argv[2];
	keyword = strip(keyword);
	string line;
	cout << "Encrypted text stored in " << base << ".et.txt" << endl;
	ofstream out;
	base.append(".et.txt");
	out.open(base);
	
	Vtable vtable = getVTable();
	while (getline(in, line)) {
		out << encrypt( keyword, strip(line), vtable) << endl;
	}

	out.close();
	in.close();
	return 0;
}
