// Author: 5294

#include <iostream>
#include <fstream>
#include <cctype> // To Upper
#include <sstream>
#include <vector>
using namespace std;

const int ALPHABET_SIZE = 'Z' - 'A' + 1;

typedef vector<char> Row;
typedef vector<Row> Vtable;

ifstream openInFile(const string& name);

template <typename T>
ostream& operator<<(ostream& out, const vector<T>& data);
ostream& operator<<(ostream& out, const Vtable& data);

template <typename T> void shr(vector<T> & data);

Vtable getVTable();

string strip(const string& str);

string encrypt(const string& keyword, const string& plainText, const Vtable& t);
string decrypt(const string& keyword, const string& cipherText, const Vtable& t);

int find(const Row& r, char c);

template <typename T>
void shr(vector<T> & data) {
	T front = data.front();
	data.erase(data.begin());
	data.push_back(front);
}
